org.apache.fop.render

## Class ImageHandlerRegistry

- java.lang.Object
- - org.apache.fop.render.ImageHandlerRegistry

    public class ImageHandlerRegistry
    extends Object

This class holds references to various image handlers. It also supports automatic discovery of additional handlers available through the class path.

### Constructor Summary

Constructors
Constructor and Description
`ImageHandlerRegistry()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addHandler(ImageHandler handler)` Add an image handler.
`void` `addHandler(String classname)` Add an PDFImageHandler.
`ImageHandler` `getHandler(RenderingContext targetContext, org.apache.xmlgraphics.image.loader.Image image)` Returns an `ImageHandler` which handles an specific image type given the MIME type of the image.
`org.apache.xmlgraphics.image.loader.ImageFlavor[]` `getSupportedFlavors(RenderingContext context)` Returns the ordered array of supported image flavors.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImageHandlerRegistry

    public ImageHandlerRegistry()

Default constructor.

### Method Detail

#### addHandler

    public void addHandler(String classname)

Add an PDFImageHandler. The handler itself is inspected to find out what it supports.

Parameters:
  `classname` - the fully qualified class name

#### addHandler

    public void addHandler(ImageHandler handler)

Add an image handler. The handler itself is inspected to find out what it supports.

Parameters:
  `handler` - the ImageHandler instance

#### getHandler

    public ImageHandler getHandler(RenderingContext targetContext,
                                   org.apache.xmlgraphics.image.loader.Image image)

Returns an `ImageHandler` which handles an specific image type given the MIME type of the image.

Parameters:
  `targetContext` - the target rendering context that is used for identifying compatibility
  `image` - the Image to be handled
Returns:
  the image handler responsible for handling the image or null if none is available

#### getSupportedFlavors

    public org.apache.xmlgraphics.image.loader.ImageFlavor[] getSupportedFlavors(RenderingContext context)

Returns the ordered array of supported image flavors. The array needs to be ordered by priority so the image loader framework can return the preferred image type.

Parameters:
  `context` - the rendering context
Returns:
  the array of image flavors